<div align="center">
  <h1 align="center">WineHelper</h1>
  <p align="center">WineHelper - предназначен для упрощения установки windows-приложений, с помощью подготовленных скриптов, в разные префиксы и используя портативные версии wine для максимальной повторяемости на различных системах, начиная с релиза p10 Alt Linux и выше.</p>
</div>

## Установка

<pre>
su -
apt-get update && apt-get dist-upgrade
apt-get install winehelper
exit
</pre>

## Использование WineHelper
### Список приложений для установки

Для вывода списка доступных к установке приложений:

> winehelper install list

либо использовать сокращенную команду:

> winehelper -i

### Запуск установки приложений
В списках есть 2 вида установщиков:

**Список программ с возможностью автоматической установки** - содержит полностью автоматизированные скрипты установок программ у которых есть дистрибутивы (установщики) в свободном доступе.

Пример:

> winehelper install spravki-bk

либо использовать сокращенную команду:

> winehelper -i spravki-bk

**Список программ с возможностью установки из существующего дистрибутива** - содержит скрипты установок для программ которых нет в свободном доступе.

Пример:

> winehelper install is-record-station "/путь/до/установочного_файла"

либо использовать сокращенную команду:

> winehelper -i is-record-station "/путь/до/установочного_файла"

### Процесс установки приложений

1. при первом запуске winehelper произойдет проверка на дополнительные зависимости и при необходимости будет запрос ввода root пароля для установки пакетов
2. далее будет предложено принять лицензионные соглашения использования сторонних компонентов, для продолжения нажмите любую клавишу на клавиатуре
3. на данном этапе, в большей части скриптов, всё устанавливается автоматически с подробным выводом информации в терминале:
   - загрузка необходимой версии wine, с последующей проверкой хэш-суммы
   - загрузка базового префикса, с последующей проверкой хэш-суммы
   - первичные обновление и подготовка префикса
   - скачивание дистрибутива (установщика) программы с официального сайта
   - установка программы
   - создание desktop файла (ярлыка) на рабочем столе и в меню

Если устанавливаемое приложение требует дополнительных действий от пользователя, об этом будет явно написано в терминале.

### Процесс удаления префикса с приложением
Выполняем команду:
> winehelper remove-prefix

и видим список префиксов доступных для удаления, например:
> winehelper remove-prefix spravki-bk
 
после подтверждения клавишей "y" полностью удалит префикс с ПО и desktop файлы (ярлыки)

### Процесс удаления WineHelper
Выполняем команду:
> winehelper remove-all

после подтверждения клавишей "y" данная команда удалить WineHelper и все связанные данные(префиксы, ярлыки, wine, прогаммы установленные с помощью WineHelper)

### Дополнительные команды
> winehelper help

Вывод:
<pre>
Использование: $SCRIPT_NAME [команда]

 Команды:
    install list                  список возможных установочных скриптов
    install [скрипт]              запустить скрипт установки программы
    install [скрипт] --clear-pfx  не использовать подготовленный префикс для установки ПО
    
    installed                     список установленных программ
    run [программа.exe]           запуск программы (отладка)
    remove-all                    удалить WineHelper и все связанные данные
    remove-prefix [имя_префикса]  удалить префикс и все связанные данные
    backup-prefix [имя_префикса]  создать резервную копию префикса
    restore-prefix [имя_префикса] восстановить префикс из резервной копии

Параметры:
    --help                        показать эту справку и выйти
    --version                     показать информацию о пакете и его версии
    --debug [команда]             включить режим логирования работы WINE
</pre>

### 🛠 Участие в разработке

Мы рады вашим Pull Request'ам! Вот как можно помочь:

1. **Сообщить о баге или предложить улучшение**  
   Откройте [Задачи](https://git.linux-gaming.ru/CastroFidel/winehelper/issues), опишите проблему или идею.

2. **Исправить баг или добавить функционал**  
   - Форкните репозиторий  
   - Создайте ветку (`git checkout -b feature/ваша-фича`)  
   - Закоммитьте изменения (`git commit -m 'Добавил ...'`)  
   - Запушьте в форк (`git push origin feature/ваша-фича`)  
   - Откройте Pull Request  

3. **Помощь с документацией**  
   Исправления в документации тоже приветствуются!

Перед началом работы обсудите вашу идею в [Задачи](https://git.linux-gaming.ru/CastroFidel/winehelper/issues), чтобы избежать дублирования.
